Skip to main content
REST API reference
A newer release of this product is available.

Updates a global nameservice cache setting

  • vserver services name-service cache settings modify # learn more

  • [doc /name-services/cache/setting](#docs-name-services-name-services_cache_setting)

PATCH /name-services/cache/setting

Introduced In: 9.11

Updates a global nameservice cache setting.

Important notes

  • Both the cache eviction time and remote fetch option can be modified.

  • vserver services name-service cache settings modify

Request Body

Name Type Description

eviction_time_interval

string

Specifies the time interval, in ISO 8601 format after which a periodic cache eviction happens. Default is 4 hours.

remote_fetch_enabled

boolean

Indicates whether or not a node is allowed to fetch the data from a remote node.

Example request
{
  "eviction_time_interval": "PT2H"
}

Response

Status: 200, Ok

Error

Status: Default, Error

Definitions

See Definitions

href

Name Type Description

href

string

global_cache_setting

Name Type Description

eviction_time_interval

string

Specifies the time interval, in ISO 8601 format after which a periodic cache eviction happens. Default is 4 hours.

remote_fetch_enabled

boolean

Indicates whether or not a node is allowed to fetch the data from a remote node.

error_arguments

Name Type Description

code

string

Argument code

message

string

Message argument

error

Name Type Description

arguments

array[error_arguments]

Message arguments

code

string

Error code

message

string

Error message

target

string

The target parameter that caused the error.

Close
Try it out

Sign in with your NetApp Cloud Central credentials.

Try this API

Parameters

Headers

Body

Code

Response